'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('reakit-utils/warning');
require('react');
require('reakit-utils/useId');
var createComponent = require('reakit-system/createComponent');
var createHook = require('reakit-system/createHook');
require('../Box/Box.js');
require('../_rollupPluginBabelHelpers-b5804289.js');
require('reakit-utils/mergeRefs');
require('reakit-utils/useLiveRef');
require('reakit-utils/useAllCallbacks');
require('reakit-utils/tabbable');
require('reakit-utils/hasFocusWithin');
require('../Tabbable/Tabbable.js');
require('reakit-utils/useSealedState');
require('../Hidden/HiddenState.js');
require('../Dialog/DialogState.js');
require('reakit-utils/createOnKeyDown');
require('../Rover/RoverState.js');
require('../Rover/Rover.js');
require('popper.js');
require('../Popover/PopoverState.js');
require('../MenuContext-8a7a2ea8.js');
var MenuState = require('./MenuState.js');
var PopoverArrow = require('../Popover/PopoverArrow.js');

var useMenuArrow = createHook.createHook({
  name: "MenuArrow",
  compose: PopoverArrow.usePopoverArrow,
  useState: MenuState.useMenuState
});
var MenuArrow = createComponent.createComponent({
  as: "div",
  useHook: useMenuArrow
});

exports.MenuArrow = MenuArrow;
exports.useMenuArrow = useMenuArrow;
