import * as React from "react";
import { Omit } from "reakit-utils/types";
import { TabbableOptions, TabbableHTMLProps } from "../Tabbable/Tabbable";
import { CheckboxStateReturn } from "./CheckboxState";
export declare type CheckboxOptions = Omit<TabbableOptions, "unstable_clickKeys"> & Pick<Partial<CheckboxStateReturn>, "state" | "setState"> & {
    /**
     * Checkbox's value is going to be used when multiple checkboxes share the
     * same state. Checking a checkbox with value will add it to the state
     * array.
     */
    value?: any;
    /**
     * Checkbox's checked state. If present, it's used instead of `state`.
     */
    checked?: boolean;
};
export declare type CheckboxHTMLProps = TabbableHTMLProps & React.InputHTMLAttributes<any>;
export declare type CheckboxProps = CheckboxOptions & CheckboxHTMLProps;
export declare const useCheckbox: {
    (options?: CheckboxOptions | undefined, htmlProps?: CheckboxHTMLProps | undefined): CheckboxHTMLProps;
    __keys: readonly any[];
    __propsAreEqual?: ((prev: Pick<TabbableOptions, "disabled" | "unstable_system" | "focusable"> & Pick<Partial<CheckboxStateReturn>, "state" | "setState"> & {
        /**
         * Checkbox's value is going to be used when multiple checkboxes share the
         * same state. Checking a checkbox with value will add it to the state
         * array.
         */
        value?: any;
        /**
         * Checkbox's checked state. If present, it's used instead of `state`.
         */
        checked?: boolean | undefined;
    } & React.HTMLAttributes<any> & React.RefAttributes<any> & {
        unstable_wrap?: ((children: React.ReactNode) => JSX.Element) | undefined;
    } & {
        disabled?: boolean | undefined;
    } & React.InputHTMLAttributes<any>, next: Pick<TabbableOptions, "disabled" | "unstable_system" | "focusable"> & Pick<Partial<CheckboxStateReturn>, "state" | "setState"> & {
        /**
         * Checkbox's value is going to be used when multiple checkboxes share the
         * same state. Checking a checkbox with value will add it to the state
         * array.
         */
        value?: any;
        /**
         * Checkbox's checked state. If present, it's used instead of `state`.
         */
        checked?: boolean | undefined;
    } & React.HTMLAttributes<any> & React.RefAttributes<any> & {
        unstable_wrap?: ((children: React.ReactNode) => JSX.Element) | undefined;
    } & {
        disabled?: boolean | undefined;
    } & React.InputHTMLAttributes<any>) => boolean) | undefined;
};
export declare const Checkbox: import("reakit-system/src/createComponent").Component<"input", CheckboxOptions>;
